## Name

mailq — Display the mail queue

## Synopsis

`mailq` [-sort] [-batch]

## DESCRIPTION

mailq displays a list of all messages that have not been delivered yet. The display contains: the queue ID; sending user; the size of the message and the time the message was created; the return address, and a list of the message's recipients. If the message was already delivered or failed for some recipients, this will be indicated as well.

The optional -sort sorts the list according to the messages' timestamps, oldest messages first. This may take a while if the mail queue is very large.

The optional -batch uses an alternative, machine-parsable output format, one line per message:

    size;qid;date;user;from;[status;recipient];[status;recipient];[...]

Only the superuser can view the contents of the entire mail queue. Everyone else can only see their own messages.

## BUGS

The 80-column limitation forced a somewhat ugly design.

## SEE ALSO

cancelmsg(1) , courier(8) .